
singleton Material(FR17)
{
    mapTo = "FR17";
    diffuseMap[1] = "vehicles/FR17/FR17_d.dds";
    specularMap[1] = "vehicles/FR17/FR17_s.dds";
    normalMap[1] = "vehicles/FR17/FR17_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/FR17/FR17_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
	doubleSided = "1";
};

singleton Material(FR17_carbonfibre)
{
    mapTo = "FR17_carbonfibre";
    detailMap[2] = "vehicles/common/carbonfibre.dds";
    diffuseMap[1] = "vehicles/common/carbonfibre_d.dds";
    normalMap[1] = "vehicles/common/null.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "0.7 0.7 0.7 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    detailScale[2] = 35;
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_engine_v8)
{
    mapTo = "barstow_engine_v8";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/FR17/barstow_engine_v8_d.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 0.9";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("Stig.skin_suit.stig-s")
{
   mapTo = "Stig.skin_suit.stig-s";
   diffuseMap[0] = "vehicles/FR17/Stig.dds";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
   materialTag0 = "stig"; materialTag1 = "driver";
};

singleton Material("Stig_helmet.skin_helmet.stig-h")
{
   mapTo = "Stig_helmet.skin_helmet.stig-h";
   diffuseMap[0] = "vehicles/FR17/Stig_helmet.dds";
   specularPower[0] = "15";
   useAnisotropic[0] = "1";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
   materialTag0 = "stig"; materialTag1 = "driver";
};

singleton Material(stig_visor)
{
   mapTo = "Visor";
   diffuseMap[1] = "vehicles/FR17/Stig_visor.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularPower[0] = "128";
   useAnisotropic[0] = "1";
   diffuseColor[0] = "1 1 1 0.6";
   diffuseColor[1] = "1 1 1 0.6";
   castShadows = "1";
   translucent = "0";
   alphaTest = "0";
   alphaRef = "0";
   materialTag0 = "stig"; materialTag1 = "driver";
    dynamicCubemap = true;
    //cubemap = "global_cubemap_metalblurred";
};
singleton Material(FR17_sbr)
{
   mapTo = "sbr";
   diffuseColor[0] = "0.588 0.588 0.588 1";
   specular[0] = "Black";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material("screen1")
{
    mapTo = "screen1";
	
	diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "0 0 0 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
	emissive[0] = "1";
	
    diffuseMap[1] = "@FR17_screen1";
    specularMap[1] = "vehicles/common/null.dds";
    diffuseColor[1] = "1 1 1 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    emissive[1] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("screen2")
{
    mapTo = "screen2";
	
	diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseColor[0] = "0 0 0 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
	emissive[0] = "1";
	
    diffuseMap[1] = "@FR17_screen2";
    specularMap[1] = "vehicles/common/null.dds";
    diffuseColor[1] = "1 1 1 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    emissive[1] = "1";
    //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(RPM_leds)
{
    mapTo = "RPM_leds";
    diffuseMap[0] = "vehicles/FR17/leds_on.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "64";
    specularPower[1] = "32";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "20";
};



singleton Material(RPM_leds_on)
{
    mapTo = "RPM_leds_on";
    diffuseMap[0] = "vehicles/FR17/leds.dds";
    diffuseColor[0] = "100 1 1 1";
    specularPower[0] = "64";
    specularPower[1] = "32";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "20";
    glow[0] = "1";
};

singleton Material(steeringwheel)
{
    mapTo = "steeringwheel";
    diffuseColor[0] = "1 1 1 1";
    diffuseMap[0] = "vehicles/FR17/steer.png";
};

singleton Material(carbonFR)
{
    mapTo = "carbonFR";
    diffuseColor[0] = "1 1 1 1";
    diffuseMap[0] = "vehicles/FR17/carbonFR.jpg";
};
singleton Material(light_on)
{
    mapTo = "light_on";
    diffuseMap[1] = "vehicles/FR17/light_on.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
   specularPower[0] = "12";
    diffuseColor[1] = "1 1 1 0.95";
    diffuseColor[0] = "1 1 1 0.95";
    specularPower[1] = "32";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "20";
    glow[1] = "1";
    dynamicCubemap = true;
    //cubemap = "global_cubemap_metalblurred";
	
	
};

singleton Material(light_off)
{
    mapTo = "light_off";
    diffuseMap[1] = "vehicles/FR17/light.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
   specularPower[0] = "12";
    diffuseColor[1] = "1 1 1 0.8";
    diffuseColor[0] = "1 1 1 0.8";
    specularPower[1] = "32";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "20";
    dynamicCubemap = true;
    //cubemap = "global_cubemap_metalblurred";
	
};

singleton Material(light_dmg)
{
    mapTo = "light_dmg";
    diffuseMap[1] = "vehicles/FR17/light_dmg.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
   specularPower[0] = "12";
    diffuseColor[1] = "1 1 1 0.95";
    diffuseColor[0] = "1 1 1 0.95";
    specularPower[1] = "32";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "1";
    alphaRef = "20";
    dynamicCubemap = true;
    //cubemap = "global_cubemap_metalblurred";
	
};

singleton Material(light)
{
    mapTo = "light";
};

singleton Material(FR17_glass)
{
    mapTo = "FR17_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/FR17/FR17_glass_d.dds";
    opacityMap[0] = "vehicles/FR17/FR17_glass_d.dds";
    diffuseMap[1] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "1 1 1 0.001";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(FR17_glass_int)
{
    mapTo = "FR17_glass_int";
    reflectivityMap[0] = "vehicles/FR17/glass_base.dds";
    diffuseMap[0] = "vehicles/FR17/FR17_glass_d.dds";
    opacityMap[0] = "vehicles/FR17/FR17_glass_d.dds";
    diffuseMap[1] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.001";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 0.1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
